-----------------------------
function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/11_Restaurant_MG.lua', 'mini_game', 'data/Scenes/11_Restaurant_Main.lua')
    
    MiniGameScreen = screen;
    
    game_state.can_used = false;
    game_state.skip_minigame = false;
    game_state.complited = false;
    game_state.minigame_state = "none"
        
    game_state.force_fast_click_punishment = true;
    
    play_field:IgnoreOnTestPoint('Background');
    
    OBECTS_AMOUNT = 9;
    
    Objects = {};
	
	for i = 1,OBECTS_AMOUNT do
		Objects[i] = {};
	end
	
	Objects[1].Obj = MiniGameScreen:GetObject('10');                --стакан справа
	Objects[2].Obj = MiniGameScreen:GetObject('10_2');              --стакан слева
	
	Objects[3].Obj = MiniGameScreen:GetObject('uzor');              --круг справа
	Objects[4].Obj = MiniGameScreen:GetObject('tochki');            --точки справа
	Objects[5].Obj = MiniGameScreen:GetObject('roza');              --роза справа
	Objects[6].Obj = MiniGameScreen:GetObject('trechina');          --трещина справа
	Objects[7].Obj = MiniGameScreen:GetObject('pautina');           --паутина
	
	Objects[8].Obj = MiniGameScreen:GetObject('kistochka');         --красная висюлька
	Objects[9].Obj = MiniGameScreen:GetObject('kistochka_blu_2');   --голубая висюлька
	
	Objects[2].Obj:SetVisible(false);
	Objects[9].Obj:SetVisible(false);
	
	MiniGameScreen:GetObject('bokal_1'):SetVisible(false);
	MiniGameScreen:GetObject('bokal_2'):SetVisible(false);
	MiniGameScreen:GetObject('uzor_1'):SetVisible(false);
	MiniGameScreen:GetObject('uzor_2'):SetVisible(false);
	MiniGameScreen:GetObject('tochki_1'):SetVisible(false);
	MiniGameScreen:GetObject('tochki_2'):SetVisible(false);
	MiniGameScreen:GetObject('rozapng_1'):SetVisible(false);
	MiniGameScreen:GetObject('rozapng_2'):SetVisible(false);
	MiniGameScreen:GetObject('trechina_1'):SetVisible(false);
	MiniGameScreen:GetObject('trechina_2'):SetVisible(false);
	MiniGameScreen:GetObject('pautina_1'):SetVisible(false);
	MiniGameScreen:GetObject('pautina_2'):SetVisible(false);
	MiniGameScreen:GetObject('kistochka_1'):SetVisible(false);
	MiniGameScreen:GetObject('kistochka_2'):SetVisible(false);
	
	finded_amount = 0;
	
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "1")) then
		ShowLines('bokal_1', 'bokal_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "2")) then
		ShowLines('uzor_1', 'uzor_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "3")) then
		ShowLines('tochki_1', 'tochki_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "4")) then
		ShowLines('rozapng_1', 'rozapng_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "5")) then
		ShowLines('trechina_1', 'trechina_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "6")) then
		ShowLines('pautina_1', 'pautina_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "7")) then
		ShowLines('kistochka_1', 'kistochka_2', false);
	end
	
	if(finded_amount < 7) then
		ShowMonolog('C_11_MG_TASK_'..(finded_amount + 1), 'C_11_MG_TASK_'..(finded_amount + 1));
    end
end

function SkipMiniGame()
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "1") == false) then
		ShowLines('bokal_1', 'bokal_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "2") == false) then
		ShowLines('uzor_1', 'uzor_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "3") == false) then
		ShowLines('tochki_1', 'tochki_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "4") == false) then
		ShowLines('rozapng_1', 'rozapng_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "5") == false) then
		ShowLines('trechina_1', 'trechina_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "6") == false) then
		ShowLines('pautina_1', 'pautina_2', false);
	end
	if(HasGameState('MINI_GAME_11_RESTAURANT_STATE', "7") == false) then
		ShowLines('kistochka_1', 'kistochka_2', false);
	end
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    if not HasGameState('ClosedScene', game_state.scene_path) then
        if game_state.layers_completed == 8 then
            AddGameState('ClosedScene', game_state.scene_path);
            AddGameState('ToolFound', '12_goblet')
        end
    end
    
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function CreateParticles(obj_1, obj_2)
    MiniGameScreen:GetObject(obj_1):AddParticleSystem('data/ParticleSystem/Diff.psi', 'SmokeParticle', true)
    MiniGameScreen:GetObject(obj_2):AddParticleSystem('data/ParticleSystem/Diff.psi', 'SmokeParticle', true)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    
	if(obj_name == "area_circle_1" or obj_name == "area_circle_2") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "1") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "1")
		ShowLines('bokal_1', 'bokal_2');
		CreateParticles("area_circle_1", "area_circle_2")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_3" or obj_name == "area_circle_4") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "2") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "2")
		ShowLines('uzor_1', 'uzor_2');
		CreateParticles("area_circle_3", "area_circle_4")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_5" or obj_name == "area_circle_6") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "3") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "3")
		ShowLines('tochki_1', 'tochki_2');
		CreateParticles("area_circle_5", "area_circle_6")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_7" or obj_name == "area_circle_8") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "4") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "4")
		ShowLines('rozapng_1', 'rozapng_2');
		CreateParticles("area_circle_7", "area_circle_8")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_9" or obj_name == "area_circle_10") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "5") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "5")
		ShowLines('trechina_1', 'trechina_2');
		CreateParticles("area_circle_9", "area_circle_10")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_11" or obj_name == "area_circle_12") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "6") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "6")
		ShowLines('pautina_1', 'pautina_2');
		CreateParticles("area_circle_11", "area_circle_12")
		is_wrong_click = false
	end
	if(obj_name == "area_circle_13" or obj_name == "area_circle_14") and HasGameState('MINI_GAME_11_RESTAURANT_STATE', "7") == false then
		AddGameState('MINI_GAME_11_RESTAURANT_STATE', "7")
		ShowLines('kistochka_1', 'kistochka_2');
		CreateParticles("area_circle_13", "area_circle_14")
		is_wrong_click = false
	end
	
	DefaultOnObjectMouseDownProcessed(is_wrong_click)
end

function ShowLines(name_1, name_2, flag)
	MiniGameScreen:GetObject(name_1):SetVisible(true);
	MiniGameScreen:GetObject(name_2):SetVisible(true);
	if(flag ~= false) then
		MiniGameScreen:GetObject(name_1):ChangeOpacity(0.0, 1.0, 0.3);
		MiniGameScreen:GetObject(name_2):ChangeOpacity(0.0, 1.0, 0.3);
	end
	finded_amount = finded_amount + 1;
	
	if(finded_amount < 7) then
		ShowMonolog('C_11_MG_TASK_'..(finded_amount + 1), 'C_11_MG_TASK_'..(finded_amount + 1));
	end
	
	if(finded_amount == 7) then
		if not HasGameState('ToolFound', '12_goblet') then
			AddGameState('ToolFound', '12_goblet')
		end
		
		if not HasGameState('ClosedScene', game_state.scene_path) then
			AddGameState('ClosedScene', game_state.scene_path);
		end
		if not HasGameState('MiniGameCompleted', '11_Restaurant_MG') then
			AddGameState('MiniGameCompleted', '11_Restaurant_MG');
		end
		
		TimerDoString('StartLevel(game_state.parent_scene)', 0.4, MiniGameScreen:GetTimer())
	end
	
	PlaySound("Item_found")
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/Background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Background',anim,512,384,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/kistochka.png',0,0,59,69,1,0)
	anim:SetHotSpot(29,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kistochka',anim,699,51,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/kistochka_blu.png',0,0,78,98,1,0)
	anim:SetHotSpot(39,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kistochka_blu',anim,181,51,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/roza.png',0,0,143,80,1,0)
	anim:SetHotSpot(71,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('roza',anim,718,552,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/trechina.png',0,0,222,166,1,0)
	anim:SetHotSpot(111,83)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trechina',anim,810,582,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/pautina.png',0,0,226,189,1,0)
	anim:SetHotSpot(113,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pautina',anim,373,93,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/uzor.png',0,0,129,116,1,0)
	anim:SetHotSpot(64,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('uzor',anim,722,279,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/tochki.png',0,0,145,117,1,0)
	anim:SetHotSpot(72,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tochki',anim,714,445,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/10.png',0,0,58,123,1,0)
	anim:SetHotSpot(29,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('10',anim,620,538,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/10.png',0,0,58,123,1,0)
	anim:SetHotSpot(29,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('10_2',anim,100,538,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_1',anim,619,537,105,0,0.4,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_2',anim,99,539,105,0,0.4,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_3',anim,202,278,105,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_4',anim,722,278,105,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_5',anim,201,447,105,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_6',anim,720,447,105,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_7',anim,732,552,105,-20,0.8,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_8',anim,213,551,105,-20,0.8,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_9',anim,825,599,105,-20,1.2,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_10',anim,307,599,105,-20,1.2,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_11',anim,369,78,105,0,1.2,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_12',anim,883,75,105,0,1.2,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_13',anim,186,50,105,0,0.4,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_circle_14',anim,710,56,105,0,0.4,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/kistochka_blu.png',0,0,78,98,1,0)
	anim:SetHotSpot(39,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kistochka_blu_2',anim,702,50,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/bokal.png',0,0,86,189,1,0)
	anim:SetHotSpot(43,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bokal_1',anim,613,550,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/bokal.png',0,0,86,189,1,0)
	anim:SetHotSpot(43,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bokal_2',anim,93,549,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/pautina.png',0,0,280,209,1,0)
	anim:SetHotSpot(140,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pautina_1',anim,373,101,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/pautina.png',0,0,280,209,1,0)
	anim:SetHotSpot(140,104)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pautina_2',anim,886,100,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/tochki.png',0,0,123,121,1,0)
	anim:SetHotSpot(61,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tochki_1',anim,208,446,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/tochki.png',0,0,123,121,1,0)
	anim:SetHotSpot(61,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tochki_2',anim,727,444,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/rozapng.png',0,0,119,96,1,0)
	anim:SetHotSpot(59,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rozapng_1',anim,718,548,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/rozapng.png',0,0,119,96,1,0)
	anim:SetHotSpot(59,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rozapng_2',anim,200,545,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/kistochka.png',0,0,68,86,1,0)
	anim:SetHotSpot(34,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kistochka_1',anim,707,46,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/kistochka.png',0,0,68,86,1,0)
	anim:SetHotSpot(34,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kistochka_2',anim,185,47,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/uzor.png',0,0,172,184,1,0)
	anim:SetHotSpot(86,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('uzor_1',anim,204,271,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/uzor.png',0,0,172,184,1,0)
	anim:SetHotSpot(86,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('uzor_2',anim,724,275,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/trechina.png',0,0,244,152,1,0)
	anim:SetHotSpot(122,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trechina_1',anim,807,608,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_Restaurant/Zone_MG/Layers/obvodka/trechina.png',0,0,244,152,1,0)
	anim:SetHotSpot(122,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trechina_2',anim,287,608,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('Punish_area',anim,512,384,94,0,128,96)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
